
Katello - Bug #5698

Infinite Reload on diff pages -> Menu URLs calculated incorrectly.

05/13/2014 06:23 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1) Login to Katello

2) Select an org

3) Goto Content -> Content Views

4) Pick a content view.

Now hover over content menu and hover over "Lifecycle Environments". Notice the URL it points to..

"http://<fqdn>/content_views/2/lifecycle_environments" instead of "http://<fqdn>/lifecycle_environments"

Associated revisions

Revision 990817cf - 05/13/2014 07:43 PM - Walden Raines

Fixes #5698, specify absolute URLs instead of relative in menu.

Revision b331f87a - 05/13/2014 08:18 PM - Walden Raines

Merge pull request #4077 from waldenraines/5698

Fixes #5698, specify absolute URLs instead of relative in menu.

History

#1 - 05/13/2014 06:24 PM - Partha Aji

- File bad_menu_url.png added

Image attached.

#2 - 05/13/2014 06:43 PM - Partha Aji

This bug causes infinite reloads to happen. Another example

1) Goto Activation Keys -> New

2) Select Content -> Lifecycle Environments (Notice the wrong URL. )

3) The page keeps reloading trying to load http://&lt;fqdn&gt;/activation_keys/lifecycle_environments

This bug also occurs when you go to http://&lt;fqdn&gt;/activation_keys/ or http://&lt;fqdn&gt;/content_views/  (the / at the end is important here to

repro this issue)

#3 - 05/13/2014 06:44 PM - Partha Aji

- Subject changed from Menu URLs are not being calculated correctly. to Infinite Reload on diff pages -> Menu URLs calculated incorrectly.

#4 - 05/13/2014 06:52 PM - Walden Raines

- Related to Bug #4946: Switching orgs in a katello page results in a redirect loop added

#5 - 05/13/2014 07:49 PM - Walden Raines

- Status changed from New to Ready For Testing

https://github.com/Katello/katello/pull/4077
#6 - 05/13/2014 07:50 PM - Walden Raines

- Related to deleted (Bug #4946: Switching orgs in a katello page results in a redirect loop)

#7 - 05/15/2014 02:49 PM - Walden Raines

- Status changed from Ready For Testing to Closed

commit b331f87ad38a0d2df36e9cf8f5b3eecb0b41d879

Merge: c66ca3b 990817c

Author: Walden Raines <walden@redhat.com>

Date:   Tue May 13 16:18:50 2014 -0400

Merge pull request #4077 from waldenraines/5698

 
Fixes #5698, specify absolute URLs instead of relative in menu.

 commit 990817cfbe4db01981732eb59e8ab3684acb0953

Author: Walden Raines <walden@redhat.com>

Date:   Tue May 13 15:43:27 2014 -0400

Fixes #5698, specify absolute URLs instead of relative in menu.

#8 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#9 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
